## GDataGContactJot

GDataGContactJot — gContact jot element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGContactJot * | gdata_gcontact_jot_new ()
const gchar * | gdata_gcontact_jot_get_content ()
void | gdata_gcontact_jot_set_content ()
const gchar * | gdata_gcontact_jot_get_relation_type ()
void | gdata_gcontact_jot_set_relation_type ()

## Properties

char * | content | Read / Write
char * | relation-type | Read / Write

## Types and Values

#define | GDATA_GCONTACT_JOT_HOME
#define | GDATA_GCONTACT_JOT_KEYWORDS
#define | GDATA_GCONTACT_JOT_OTHER
#define | GDATA_GCONTACT_JOT_USER
#define | GDATA_GCONTACT_JOT_WORK
| GDataGContactJot
| GDataGContactJotClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGContactJot

## Includes

    #include <gdata/gcontact/gdata-gcontact-jot.h>

## Description

GDataGContactJot represents a "jot" element from the

gContact specification.

## Functions

### gdata_gcontact_jot_new ()

    GDataGContactJot *
    gdata_gcontact_jot_new (const gchar *content,
                            const gchar *relation_type);

Creates a new GDataGContactJot. More information is available in the gContact specification.

#### Parameters

content | the content of the jot |
relation_type | the relationship between the jot and its owner |

#### Returns

a new GDataGContactJot; unref with `g_object_unref()`

Since: 0.7.0

### gdata_gcontact_jot_get_content ()

    const gchar *
    gdata_gcontact_jot_get_content (GDataGContactJot *self);

Gets the “content” property.

#### Parameters

self | a GDataGContactJot |

#### Returns

the jot's content

Since: 0.7.0

### gdata_gcontact_jot_set_content ()

    void
    gdata_gcontact_jot_set_content (GDataGContactJot *self,
                                    const gchar *content);

Sets the “content” property to `content` .

#### Parameters

self | a GDataGContactJot |
content | the new content |

Since: 0.7.0

### gdata_gcontact_jot_get_relation_type ()

    const gchar *
    gdata_gcontact_jot_get_relation_type (GDataGContactJot *self);

Gets the “relation-type” property.

#### Parameters

self | a GDataGContactJot |

#### Returns

the jot's relation type

Since: 0.7.0

### gdata_gcontact_jot_set_relation_type ()

    void
    gdata_gcontact_jot_set_relation_type (GDataGContactJot *self,
                                          const gchar *relation_type);

Sets the “relation-type” property to `relation_type` such as `GDATA_GCONTACT_JOT_HOME` or `GDATA_GCONTACT_JOT_OTHER`.

#### Parameters

self | a GDataGContactJot |
relation_type | the new relation type for the jot, or `NULL` |

Since: 0.7.0

## Types and Values

### GDATA_GCONTACT_JOT_HOME

    #define GDATA_GCONTACT_JOT_HOME "home"

The relation type URI for a jot about a contact's home.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_JOT_KEYWORDS

    #define GDATA_GCONTACT_JOT_KEYWORDS "keywords"

The relation type URI for a jot with keywords about a contact.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_JOT_OTHER

    #define GDATA_GCONTACT_JOT_OTHER "other"

The relation type URI for a jot about an other facet of a contact.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_JOT_USER

    #define GDATA_GCONTACT_JOT_USER "user"

The relation type URI for a jot about the relationship between a contact and the user.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_JOT_WORK

    #define GDATA_GCONTACT_JOT_WORK "work"

The relation type URI for a jot about a contact's work.

For more information, see the gContact specification.

Since: 0.7.0

### GDataGContactJot

    typedef struct _GDataGContactJot GDataGContactJot;

All the fields in the GDataGContactJot structure are private and should never be accessed directly.

Since: 0.7.0

### GDataGContactJotClass

    typedef struct {
    } GDataGContactJotClass;

All the fields in the GDataGContactJotClass structure are private and should never be accessed directly.

Since: 0.7.0

## Property Details

### The `“content”` property

      “content”                  char *

The content of the jot.

For more information, see the

gContact specification.

Owner: GDataGContactJot

Flags: Read / Write

Default value: NULL

Since: 0.7.0

### The `“relation-type”` property

      “relation-type”            char *

A programmatic value that identifies the type of jot. Examples are `GDATA_GCONTACT_JOT_HOME` or `GDATA_GCONTACT_JOT_OTHER`.

For more information, see the

gContact specification.

Owner: GDataGContactJot

Flags: Read / Write

Default value: NULL

Since: 0.7.0